import Vue from 'vue'
import func from '../../utils/FunctionSet'
const state = {
    hasConnectCount:0,
    pressureData:[],
}

const actions = {


}
var col = 0
var tempPressureData = []
const mutations = {
    SOCKET_reconTest: (state, status) => {
        console.log(status)
    },
    SOCKET_connectCount: (state, count) => {
        //console.log(count)
        state.hasConnectCount = count
    },
    // 断开一个客户端
    SOCKET_disConnectOneClient:(state) =>{
         state.hasConnectCount--
    },
    // 断开一个客户端
    SOCKET_pressureData:(state,json) =>{
        // 先判断列数
        let validNumByteArray = new Uint8Array(json);
        let allCommond = func.buf2hex(validNumByteArray);
        let commond = allCommond.substring(0,2)
        // 判断 帧头 229 足压扫描
        if(commond == 'e5') {
            footPressure(state,validNumByteArray)
        }

    }
}

const getters = {
    hasConnectCount:state=>state.hasConnectCount,
    pressureData:state=>state.pressureData,
}
// 处理足压数据
function footPressure(state,validNumByteArray) {
    let offset = 10;
    let nowCol = validNumByteArray[8];
    //console.log(nowCol)
    if(nowCol== 51) {
        tempPressureData[col] = validNumByteArray.slice(offset)
        state.pressureData = setPressureData(tempPressureData);
        tempPressureData = [];
        col = 0
    }
    if(nowCol >= col) {
        tempPressureData[nowCol] = validNumByteArray.slice(offset)
        col = nowCol;
    } else {
        state.pressureData = setPressureData(tempPressureData);
        tempPressureData = [];
        tempPressureData[nowCol] = validNumByteArray.slice(offset)
        col = nowCol;
        //  col = 0
    }

}

function setPressureData(data) {
    let dataAll = []
    // for (let j =0;j<data.length;j++) {
    //     for (let k =0;k<data[j].length;k++) {
    //          let temp = {}
    //          temp.x = j
    //          temp.y = k
    //          temp.value = data[j][k]
    //          dataAll.push(temp)
    //     }
    // }
    // 补到之前  60*60 个点位
    for (let j =0;j<60;j++) {
        dataAll[j] = []
        for (let k =0;k<60;k++) {
            if(typeof (data[j]) == 'undefined') {
                dataAll[j][k] = 0
            } else {
                if(typeof (data[j][k]) == 'undefined') {
                    dataAll[j][k] = 0
                } else {
                    dataAll[j][k] = data[j][k]
                }
            }
        }
    }
    return func.pressureDataProcess(dataAll,2.5,4)

}





export default {
    state,
    actions,
    mutations,
    getters,
}
